Joomla 1.7 Compatibility Issues: